[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [ptp-user] Help with: A requested component was not found, or was unable to be opened.

Allright, I will ask around there!

Regards,

Mario

On Fri, Apr 16, 2010 at 3:08 PM, Greg Watson <g.watson@xxxxxxxxxxxx> wrote:
Mario,

We're not really experts on Open MPI configuration. I would suggest posting your question to the Open MPI User list: http://www.open-mpi.org/community/lists/ompi.php

Cheers,
Greg

On Apr 16, 2010, at 6:26 AM, Mario Ogrizek wrote:

Ok, i changed the path so it shows to 1.4 version, but im not sure what to do with DYLD_LIBRARY_PATH..
I checked the DYLD_LIBRARY_PATH and its empty.
I tried to run HelloWorld program (now with 1.4) and still the same error

Open RTE was unable to open the hostfile:
    usr/local/etc/openmpi-default-hostfile
Check to make sure the path and filename are correct.

 It is 100% there.


With v1.2 i didnt have to do anything with DYLD_LIBRARY_PATH, and it found it without any problem.
Im not very expirienced in linux based environments, so im pretty lost and obviously missing something.

Is "usr/local/etc/openmpi-default-hostfile" appended to some other path, or is this the absolute path?
Bc, absolute path to the hostfile is exactly that...so only thing that seems possible is that Open RTE daemon appends it to something like: "/something/something/usr/local/etc/openmpi-default-hostfile" and thats why it cant find it.

Still, no answers from google or faqs :(


Regards,

Mario

On Wed, Apr 14, 2010 at 8:59 PM, Beth Tibbitts <tibbitts@xxxxxxxxxx> wrote:

Sounds like you just need to adjust your PATH so that the 1.4 version of OpenMPI takes precedence over 1.2.

Then launch Eclipse (and thus PTP) from the command line in the shell window where you have assured that the PATH and LD_LIBRARY_PATH
are correct. For example, run ompi_info and assure it says 1.4.x (and not 1.2.x)
This assures that Eclipse and PTP are seeing the same version you are seeing from the command line.




...Beth

Beth Tibbitts
Eclipse Parallel Tools Platform http://eclipse.org/ptp
IBM STG Communications Protocols and Tools
Mailing Address: IBM Corp., Coldstream Research Campus, 745 West New Circle Road, Lexington, KY 40511

<graycol.gif>Mario Ogrizek ---04/14/2010 11:43:57 AM---Thank you for your response! Im running OS X SL (mac)

<ecblank.gif>
From:
<ecblank.gif>

Mario Ogrizek <mario.guardian@xxxxxxxxx>
<ecblank.gif>
To:
<ecblank.gif>

PTP User list <ptp-user@xxxxxxxxxxx>
<ecblank.gif>
Date:
<ecblank.gif>

04/14/2010 11:43 AM
<ecblank.gif>
Subject:
<ecblank.gif>

Re: [ptp-user] Help with: A requested component was not found, or was unable to be opened.
<ecblank.gif>
Sent by:
<ecblank.gif>




Thank you for your response!

Im running OS X SL (mac)
I allready succsesfully compiled and ran a hello world MPI program, i am using the latest PTP version, and made a 1.2  Resource Manager, and it all works fine running on PTP and command line.

Version 1.2 came with my OS, and i installed the v 1.4.x from the OpenMPI page, but i cant override the 1.2 of the OS.
I even managed to make a resource manager for 1.4. But with that from PTP i get this error running Hello World program: (i think it has to do something with native 1.2 vs 1.4 clash)
[Laptop.local:02993] [0,0,0] ORTE_ERROR_LOG: Error in file /SourceCache/openmpi/openmpi-8/openmpi/orte/runtime/orte_init_stage1.c at line 312



 Regards,

Mario

On Wed, Apr 14, 2010 at 1:26 PM, Beth Tibbitts <tibbitts@xxxxxxxxxx> wrote:

    OK, so you get the attached error when running OpenMPI from the command line?
    Version 1.2.x of OpenMPI is rather old; I'd suggest installing a newer version.
    What version of PTP are you using? 3.0.1? What is your OS?

    Concentrate on getting OpenMPI to run from the command line first.
    See
    http://wiki.eclipse.org/PTP/release_notes/3.0 and especially the "Installing OpenMPI" section.
    Did you install OpenMPI yourself, or did it come with your OS?


    ...Beth

    Beth Tibbitts
    Eclipse Parallel Tools Platform
    http://eclipse.org/ptp
    IBM STG Communications Protocols and Tools
    Mailing Address: IBM Corp., Coldstream Research Campus, 745 West New Circle Road, Lexington, KY 40511

    <graycol.gif>Mario Ogrizek ---04/14/2010 07:18:56 AM---I am getting this error message, and I do not know where to start even looking to solve a problem.

<ecblank.gif>
From:
<ecblank.gif>

Mario Ogrizek <mario.guardian@xxxxxxxxx>
<ecblank.gif>
To:
<ecblank.gif>
ptp-user@xxxxxxxxxxx
<ecblank.gif>
Date:
<ecblank.gif>

04/14/2010 07:18 AM
<ecblank.gif>
Subject:
<ecblank.gif>

[ptp-user] Help with: A requested component was not found, or was unable to be opened.
<ecblank.gif>
Sent by:
<ecblank.gif>





    I am getting this error message, and I do not know where to start even looking to solve a problem.
    I looked around here but, no viable solution. Only one about versions, but Im not sure what to do with that..
    I tried running it with PTP and from terminal, same results.


    Version of mpirun is 1.2.8


    A requested component was not found, or was unable to be opened.  This
    means that this component is either not installed or is unable to be
    used on your system (e.g., sometimes this means that shared libraries
    that the component requires are unable to be found/loaded).  Note that
    Open MPI stopped checking at the first component that it did not find.


    Host:      Laptop.local
    Framework: ras
    Component: proxy
    --------------------------------------------------------------------------
    [Laptop.local:02837] [[7083,0],0] ORTE_ERROR_LOG: Error in file ess_hnp_module.c at line 230
    --------------------------------------------------------------------------
    It looks like orte_init failed for some reason; your parallel process is
    likely to abort.  There are many reasons that a parallel process can
    fail during orte_init; some of which are due to configuration or
    environment problems.  This failure appears to be an internal failure;
    here's some additional information (which may only be relevant to an
    Open MPI developer):


      orte_ras_base_open failed
      --> Returned value Error (-1) instead of ORTE_SUCCESS


    it repeats itself couple of more times..


    Thank you in advance,


    Mario_______________________________________________
    ptp-user mailing list

    ptp-user@xxxxxxxxxxx
    https://dev.eclipse.org/mailman/listinfo/ptp-user



    _______________________________________________
    ptp-user mailing list

    ptp-user@xxxxxxxxxxx
    https://dev.eclipse.org/mailman/listinfo/ptp-user
_______________________________________________
ptp-user mailing list
ptp-user@xxxxxxxxxxx
https://dev.eclipse.org/mailman/listinfo/ptp-user





_______________________________________________
ptp-user mailing list
ptp-user@xxxxxxxxxxx
https://dev.eclipse.org/mailman/listinfo/ptp-user


_______________________________________________
ptp-user mailing list
ptp-user@xxxxxxxxxxx
https://dev.eclipse.org/mailman/listinfo/ptp-user


_______________________________________________
ptp-user mailing list
ptp-user@xxxxxxxxxxx
https://dev.eclipse.org/mailman/listinfo/ptp-user